Validation
- Endpoint:
POST /billPaymentValidationUrl - Tags: Collection Service/BillPayment
Description
This interface is only applicable to Bill Payment payment methods in the Philippines.
PayerMax calls this interface to request the merchant to obtain the feasibility of this payment operation (whether the payment can be made).
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | ||
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:"application/json"sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
referenceNo | string | Yes | maxLength: 64 | The merchant's repayment contract number, with the first five digits generated by PayerMax and the remaining portion defined by the merchant. | |
amount | number | Yes | Payment amount. | ||
currency | string | Yes | maxLength: 3 | Payment currency. |
Example
json
{
"referenceNo": "TEST100001",
"amount": 40.85,
"currency": "PHP"
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
code | string | Yes | Return code, ‘SUCCESS’ means success | ||
msg | string | Yes | Return message, ‘Success’ | ||
data | object | No | The following is the content in data. | ||
data.referenceNo | string | Yes | maxLength: 64 | The merchant's repayment contract number, with the first five digits generated by PayerMax and the remaining portion defined by the merchant. | |
data.minAmount | number | Yes | Minimum payment amount. | ||
data.maxAmount | number | Yes | Maximum payment amount. | ||
data.currency | string | Yes | maxLength: 3 | Payment currency. | |
data.confirmation | string | Yes | maxLength: 16 | Check result. Value: "Y" or "N" | |
data.failureReason | string | No | maxLength: 255 | Reason for verification failure. |
Response Example: 1
SUCCESS
json
{
"code": "SUCCESS",
"msg": "Success.",
"data": {
"referenceNo": "TEST100001",
"confirmation": "Y",
"minAmount": 20,
"maxAmount": 300,
"currency": "PHP",
"failureReason": ""
}
}Response Example: 2
异常示例
json
{
"code": "SUCCESS",
"msg": "Success.",
"data": {
"referenceNo": "TEST100001",
"confirmation": "N",
"minAmount": 20,
"maxAmount": 300,
"currency": "PHP",
"failureReason": "Reason for verification failure."
}
}